import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class Assignment1 {
    public static void main(String[] args) {
        var s = new Scanner(System.in);

        int pointsCnt = s.nextInt();

        List<Point> points = new ArrayList<>();
        for (int i = 0; i < pointsCnt; i++) {
            double x = s.nextDouble();
            double y = s.nextDouble();
            points.add(new Point(x, y));
        }

        Point p1 = null;
        Point p2 = null;
        double distance = Double.POSITIVE_INFINITY;
        // Naive algorithm
        for (int i = 0; i < pointsCnt - 1; i++) {
            for (int j = i + 1; j < pointsCnt; j++) {
                if (points.get(i).distanceTo(points.get(j)) < distance) {
                    p1 = points.get(i);
                    p2 = points.get(j);
                    distance = p1.distanceTo(p2);
                }
            }
        }

        System.out.println("Minimum distance pair:");
        System.out.print(p1);
        System.out.print(" ");
        System.out.print(p2);
        System.out.println();
    }
}
